# $Revision: 1.9 $, $Date: 2009/09/09 08:50:00 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Module
%define	pnam	Install
Summary:	Module::Install - Standalone, extensible Perl module installer
Summary(pl.UTF-8):	Module::Install - samodzielny, rozszerzalny instalator modułów Perla
Name:		perl-Module-Install
Version:	0.91
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5ac4cce8fcab544e8f313275daad800e
URL:		http://search.cpan.org/dist/Module-Install/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(JSON) >= 2.14
BuildRequires:	perl(Module::ScanDeps) >= 0.89
BuildRequires:	perl(PAR::Dist) >= 0.29
BuildRequires:	perl(Parse::CPAN::Meta) >= 1.39
BuildRequires:	perl-Archive-Tar >= 1.44
BuildRequires:	perl-Devel-PPPort >= 3.16
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
BuildRequires:	perl-ExtUtils-ParseXS >= 2.19
BuildRequires:	perl-File-Remove >= 1.42
BuildRequires:	perl-PathTools >= 3.2701
BuildRequires:	perl-Test-Harness >= 3.13
BuildRequires:	perl-Test-Simple >= 0.86
BuildRequires:	perl-YAML-Tiny >= 1.38
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module::Install is a package for writing installers for CPAN (or
CPAN-like) distributions that are clean, simple, minimalist, act in a
strictly correct manner with both the ExtUtils::MakeMaker and
Module::Build build systems, and will run on any Perl installation
version 5.004 or newer.

The intent is to make it as easy as possible for CPAN authors (and
especially for first-time CPAN authors) to have installers that follow
all the best practices for distribution installation, but involve as
much DWIM (Do What I Mean) as possible when writing them.

%description -l pl.UTF-8
Module::Install to pakiet do pisania dla dystrybucji CPAN (lub
podobnych) instalatorów, które będą przejrzyste, minimalistyczne i
działały całkowicie poprawnie z systemami budowania
ExtUtils::MakeMaker i Module::Build, a także będą działać na każdej
instalacji Perla od wersji 5.004.

Celem jest jak największe ułatwienie autorom CPAN (a szczególnie
początkującym autorom CPAN) posiadania instalatorów zachowujących się
jak najlepiej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	--skipdeps \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Module/*.pm
%{perl_vendorlib}/Module/Install
%{perl_vendorlib}/inc
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Module-Install.spec,v $
Revision 1.9  2009/09/09 08:50:00  amateja
- added BR: perl-ExtUtils-ParseXS >= 2.19

Revision 1.8  2009/06/16 09:17:04  amateja
- updated to 0.91

Revision 1.7  2008/12/11 13:41:06  radek
- version 0.77

Revision 1.6  2007-12-24 01:29:19  zbyniu
- up to 0.68

Revision 1.5  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.3  2006/08/20 09:09:47  qboosh
- cleanup

Revision 1.2  2006/08/20 08:52:59  qboosh
- pl, generic URL

Revision 1.1  2006/08/12 15:47:55  migo
- initial revision
